Subject: Re: [dd] [Ext] Charter - objectives and scope (long tail)

From: Paul Vixie <[email-masked]>
Date: Thu, 04 Apr 2024 17:27:36 -0500

<<It will include a concept of operations that describes how both current and future systems will interact in an Internet-wide interoperable way.>> 

That's weaker than I'd like. Rather, the purpose of the effort should be described as amending the delegation signaling without deprecating any and therefore not degrading the experience of any client who never upgrades to the new signaling. 

p vixie 

On Apr 4, 2024 16:30, Wes Hardaker <[email-masked]> wrote:

Paul Hoffman <[email-masked]> writes: 

> On Mar 23, 2024, at 14:26, Paul Vixie 
> <paul=[email-masked]> wrote: 
> > 
> > as a charter matter, i hope we can say that no existing signaling 
> > (NS RRset and associated AAAA/A RRsets) will be obsoleted, and that 
> > DELEG (or whatever new signaling is decided) will be semantically 
> > additional. new signaling might add new servers but those described 
> > by the NS RRset will remain "at the core" and that domain 
> > delegations are expected to remain usable in the future even by 
> > implementations who never upgrade. similarly, new signaling might 
> > add new trust mechanisms or new transports but the old UDP/53 and 
> > TCP/53 and TCP/853 transports are expected to be continuously 
> > supported for those nameservers denoted in the NS RRset and 
> > associated AAAA/A RRsets, without requirement for newly signaled 
> > mechanisms for trust or secrecy or any other purpose. 
> 
> I hear what you're saying, but I don't see a good place in the charter 
> to say what the WG would not be doing. Can you propose text and say 
> where it would go? 

Multiple people have expressed concerns over ensuring backwards comparability.  I'm sure many believe this is a "of course" type requirement, but it would be good to be explicit.  So I added: 

It will include a concept of operations that describes how both current and future systems will interact in an Internet-wide interoperable way. 

-- 
Wes Hardaker 
USC/ISI 

-- 
dd mailing list 
[email-masked] 
https://www.ietf.org/mailman/listinfo/dd